/*
 * QtLogBox.hpp
 *
 *  Created on: Jun 19, 2014
 *      Author: heber
 */

#ifndef QTLOGBOX_HPP_
#define QTLOGBOX_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <QTextEdit>

#include <string>

#include "UIElements/Views/Qt4/QDebugStream.hpp"
#include "types.hpp"



/** This widget displays the log and allows for clicking on the names of atoms
 * which (un)selects them for highlighting.
 *
 */
class QtLogBox : public QTextEdit
{
  Q_OBJECT

public:
  QtLogBox(QWidget * _parent=0);
  virtual ~QtLogBox();

  virtual void mousePressEvent(QMouseEvent *e);

private:
  atomId_t getAtomIdForName(const std::string &_name) const;

private:
  //!> streambuffer to connect ostream and QTextEdit
  QDebugStream logbuf;
};


#endif /* QTLOGBOX_HPP_ */
